Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416028 - [RFE] Volume backup options not enable in Openstack dashboard
Summary: [RFE] Volume backup options not enable in Openstack dashboard
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 8.0 (Liberty)
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: Upstream M2
: ---
Assignee: Radomir Dopieralski
QA Contact: Ido Ovadia
URL:
Whiteboard: NeedsAllocation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 11:59 UTC by Edu Alcaniz
Modified: 2019-10-24 13:04 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-24 13:04:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
volume action screenshot (8.80 KB, image/png)
2017-01-24 11:59 UTC, Edu Alcaniz
no flags Details
backup-enable (18.11 KB, image/png)
2017-01-24 12:00 UTC, Edu Alcaniz
no flags Details

Description Edu Alcaniz 2017-01-24 11:59:01 UTC
Created attachment 1243897 [details]
volume action screenshot

Description of problem:

We have enabled Cinder backup extension in Openstack dashboard:

OPENSTACK_CINDER_FEATURES = {
    'enable_backup': True,
}

We can see the "Volume backups" tab (screenshot backup-enabled.png) but in Cinder volumes we cannot perform any backup action in Openstack dashboard (screenshot volume-actions.png).


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
We can perform backups using openstack cli but Produban request to perform this actions via Horizon.

Expected results:

We would like to enable cinder backup actions in openstack dashboard as soon as possible.
Additional info:

Comment 1 Edu Alcaniz 2017-01-24 12:00:41 UTC
Created attachment 1243899 [details]
backup-enable

Comment 7 Edu Alcaniz 2017-07-06 08:10:43 UTC
Hi any luck in the triage? Do we have any update please?

Comment 8 Beth White 2017-07-10 09:52:30 UTC
Hi Edu, We are now in feature freeze for 12 and will need to re-triage it for 13. Thanks, Beth

Comment 10 Cyril Lopez 2018-03-15 08:43:05 UTC
Hello,

Is it doable to get triage on osp14 ?

Regards

Comment 13 Alex Stupnikov 2019-07-04 11:22:12 UTC
Hello folks.

I kindly ask you to triage this bug, because current data is incorrect.

Kind Regards, Alex S.

Comment 14 Radomir Dopieralski 2019-07-04 12:49:25 UTC
Can you tell us what is incorrect specifically?

Comment 15 Alex Stupnikov 2019-07-04 12:55:56 UTC
I am confused about the following points:

- it is nominated for RHOSP 8 (upstream M release);
- the component is python-django-horizon;
- it looks like horizon currently supports this feature, but TripleO doesn't.

Regards, Alex.

Comment 16 Radomir Dopieralski 2019-07-04 15:17:11 UTC
I see it is reported for RHOSP 8, but it doesn't have a target release set. We will set a target release once we decide to work on it in a particular release.

The component is python-django-horizon, because that is what it has been reported for.

I have no idea what is the current support of it by Horizon and by TripleO, because we didn't yet have a chance to work on it. Once we do, we will determine what exactly needs to be done in what components, and create corresponding issues as needed.

Does that help?

Comment 17 Alex Stupnikov 2019-07-04 15:35:20 UTC
Radomir, this bug doesn't accurately describe situation in currently supported releases, so I have asked to triage it. It will be useful for me and my peers. Please let me know if you need additional details from my side.

BR, Alex.

Comment 18 Radomir Dopieralski 2019-07-04 15:56:13 UTC
Are you available on IRC?

Comment 19 Jan Buchta 2019-10-24 13:04:22 UTC
There is no activity on promissed adjustment of the bug. Closing. If needed, open a bug agains one of the actually supported releases.


Note You need to log in before you can comment on or make changes to this bug.